---
bases:
  - ../../bases/helmDefaults.yaml
  - ../../bases/environments.yaml

---
repositories:
  - name: teleport
    url: https://charts.releases.teleport.dev

releases:
- name: teleport-agent-secrets
  chart: oci://registry.ops.gitlab.net/gitlab-com/gl-infra/charts/vault-secrets
  version: ~1.2
  namespace: teleport-agent
  installed: {{ .Values | get "teleport_agent.installed" false }}
  disableValidationOnInstall: true
  labels:
    tier: inf
  values:
    - values-secrets/values.yaml.gotmpl
    - values-secrets/{{ .Environment.Name }}.yaml.gotmpl

- name: teleport-agent
  chart: teleport/teleport-kube-agent
  version: {{ .Values | get "teleport_agent.chart_version" nil }}
  namespace: teleport-agent
  installed: {{ .Values | get "teleport_agent.installed" false }}
  labels:
    tier: teleport
  values:
    - values.yaml.gotmpl
    - "{{ .Environment.Name }}.yaml.gotmpl"
